﻿using BepInEx;
using UnityEngine;
using UnityEngine.SceneManagement;

namespace SisSlave_Demosaic
{
    [BepInPlugin("SisSlave_Demosaic", "SisSlave Demosaic", "1.0")]
    public class SisSlave_Demosaic : BaseUnityPlugin
    {
        private void Start()
        {
            SceneManager.sceneLoaded += SceneManager_sceneLoaded;
        }

        private void SceneManager_sceneLoaded(Scene arg0, LoadSceneMode arg1)
        {
            foreach (var renderer in FindObjectsOfType<MeshRenderer>())
            {
                if(renderer?.material?.name.Contains("Mosaic") == true)
                {
                    renderer.gameObject.SetActive(false);
                }
            }
        }
    }
}
